Bug 524775 - LVMError: lvactivate failed for lv_root
Summary: LVMError: lvactivate failed for lv_root
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:684fc8253749dc3ba...
: 524849 533403 (view as bug list)
Depends On:
Blocks: 524849
TreeView+ depends on / blocked
 
Reported: 2009-09-22 06:41 UTC by Jan Stodola
Modified: 2010-12-04 07:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 524849 (view as bug list)
Environment:
Last Closed: 2010-12-04 07:40:18 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (74.58 KB, text/plain)
2009-09-22 06:41 UTC, Jan Stodola
no flags Details
pvdisplay (1.61 KB, text/plain)
2009-09-22 09:39 UTC, Jan Stodola
no flags Details
vgdisplay (1.92 KB, text/plain)
2009-09-22 09:39 UTC, Jan Stodola
no flags Details
lvdisplay (1.26 KB, text/plain)
2009-09-22 09:40 UTC, Jan Stodola
no flags Details
traceback + logs (78.47 KB, text/plain)
2009-09-23 10:00 UTC, Jan Stodola
no flags Details
Free space -200 MB (88.32 KB, image/png)
2009-09-24 09:20 UTC, Jan Stodola
no flags Details
partitioning (73.66 KB, image/png)
2009-09-24 09:21 UTC, Jan Stodola
no flags Details
lvactivate failed (52.90 KB, image/png)
2009-09-24 09:22 UTC, Jan Stodola
no flags Details
traceback with updates= image (135.35 KB, text/plain)
2009-09-24 09:23 UTC, Jan Stodola
no flags Details

Description Jan Stodola 2009-09-22 06:41:46 UTC
The following was filed automatically by anaconda:
anaconda 12.26 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 405, in lvactivate
    raise LVMError("lvactivate failed for %s" % lv_name)
  File "/usr/lib/anaconda/storage/devices.py", line 2036, in setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1405, in handleUdevLVMPVFormat
    lv.setup()
  File "/usr/lib/anaconda/storage/devicetree.py", line 1685, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1276, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1909, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 328, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 94, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 548, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 981, in <module>
    anaconda.intf.run(anaconda)
LVMError: lvactivate failed for lv_root

Comment 1 Jan Stodola 2009-09-22 06:41:52 UTC
Created attachment 362031 [details]
Attached traceback automatically from anaconda.

Comment 2 Jan Stodola 2009-09-22 09:38:19 UTC
Installation rawhide-20090921 from boot.iso using text mode in kvm. This bug can be reproduced in gui and rescue mode too. I used 2 disks:
parted /dev/sda print

Model: ATA QEMU HARDDISK (scsi)
Disk /dev/sda: 16.1GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system  Flags
 1      32.3kB  210MB   210MB   primary  ext4         boot
 2      210MB   16.1GB  15.9GB  primary               lvm


parted /dev/sdb print
Model: ATA QEMU HARDDISK (scsi)
Disk /dev/sdb: 10.5GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system  Flags
 1      32.3kB  210MB   210MB   primary  ext4         boot
 2      210MB   10.5GB  10.3GB  primary               lvm

Comment 3 Jan Stodola 2009-09-22 09:39:10 UTC
Created attachment 362047 [details]
pvdisplay

Comment 4 Jan Stodola 2009-09-22 09:39:39 UTC
Created attachment 362048 [details]
vgdisplay

Comment 5 Jan Stodola 2009-09-22 09:40:02 UTC
Created attachment 362049 [details]
lvdisplay

Comment 6 Chris Lumens 2009-09-22 14:19:22 UTC
*** Bug 524849 has been marked as a duplicate of this bug. ***

Comment 7 David Lehman 2009-09-22 19:17:43 UTC
If possible, please try again using updates from http://dlehman.fedorapeople.org/updates-524775.img. The simplest way to accomplish this is to add the following argument to the installer boot command line:

  updates=http://dlehman.fedorapeople.org/updates-524775.img

Comment 8 Jan Stodola 2009-09-23 10:00:00 UTC
Created attachment 362262 [details]
traceback + logs

Hi Dave,
still traceback when using updates=http://dlehman.fedorapeople.org/updates-524775.img

Comment 9 David Lehman 2009-09-23 15:07:29 UTC
Ok, there's a new updates.img at the same URL. I was a bit hasty in applying the fix to only one of two places it was required. Please try again at your convenience.

Comment 10 Jan Stodola 2009-09-24 09:19:21 UTC
Great, this updates image works and I don't see that traceback any more.
But there is a new problem - may be it is related to this bug:

When I select "Create custom layout", and on the next screen I select VolGroup and click on Edit - new window shows this message: "Free Space -200.00 MB (-0.8 %)" (I will attach screenshot).

Now I edit existing logical volumes:
lv_root: format ext4, mount point /
lv_swap: format swap
And also edit existing sda1:
format as ext4, mount point /boot

Click on Next, confirm formatting and writing changes to disk and error "lvactivate failed for lv_root" appears. Click on "File Bug" shows traceback (I will attach)

Comment 11 Jan Stodola 2009-09-24 09:20:58 UTC
Created attachment 362456 [details]
Free space -200 MB

Comment 12 Jan Stodola 2009-09-24 09:21:39 UTC
Created attachment 362459 [details]
partitioning

Comment 13 Jan Stodola 2009-09-24 09:22:25 UTC
Created attachment 362461 [details]
lvactivate failed

Comment 14 Jan Stodola 2009-09-24 09:23:55 UTC
Created attachment 362462 [details]
traceback with updates= image

Comment 15 Chris Lumens 2009-11-06 17:07:02 UTC
*** Bug 533403 has been marked as a duplicate of this bug. ***

Comment 16 James Laska 2009-11-09 14:41:46 UTC
Encountered this while testing iSCSI on a virt guest.  4 local disks, and 1 remote iSCSI volume.  The crash occurs while attempting to re-initialize corrupted data after adding the iSCSI volume.

Comment 17 Bug Zapper 2009-11-16 12:44:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Bug Zapper 2010-11-04 09:53:10 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 19 Bug Zapper 2010-12-04 07:40:18 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.